Module | ActiveMerchant::Billing::PaypalCommonAPI
In: | lib/active_merchant/billing/gateways/paypal/paypal_common_api.rb

This module is included in both PaypalGateway and PaypalExpressGateway

### Methods

capture credit included new reauthorize test? transfer void

### Constants

API_VERSION | = | '52.0'
URLS | = | { :test => { :certificate => 'https://api.sandbox.paypal.com/2.0/', :signature => 'https://api-3t.sandbox.paypal.com/2.0/' }, :live => { :certificate => 'https://api-aa.paypal.com/2.0/', :signature => 'https://api-3t.paypal.com/2.0/' }
PAYPAL_NAMESPACE | = | 'urn:ebay:api:PayPalAPI'
EBAY_NAMESPACE | = | 'urn:ebay:apis:eBLBaseComponents'
ENVELOPE_NAMESPACES | = | { 'xmlns:xsd' => 'http://www.w3.org/2001/XMLSchema', 'xmlns:env' => 'http://schemas.xmlsoap.org/soap/envelope/', 'xmlns:xsi' => 'http://www.w3.org/2001/XMLSchema-instance'
CREDENTIALS_NAMESPACES | = | { 'xmlns' => PAYPAL_NAMESPACE, 'xmlns:n1' => EBAY_NAMESPACE, 'env:mustUnderstand' => '0'
AUSTRALIAN_STATES | = | { 'ACT' => 'Australian Capital Territory', 'NSW' => 'New South Wales', 'NT' => 'Northern Territory', 'QLD' => 'Queensland', 'SA' => 'South Australia', 'TAS' => 'Tasmania', 'VIC' => 'Victoria', 'WA' => 'Western Australia'
SUCCESS_CODES | = | [ 'Success', 'SuccessWithWarning' ]
FRAUD_REVIEW_CODE | = | "11610"

### Public Class methods

included(base)
new(options = {})

The gateway must be configured with either your PayPal PEM file or your PayPal API Signature. Only one is required.

`:pem` The text of your PayPal PEM file. Note

                          this is not the path to file, but its
                          contents. If you are only using one PEM
                          file on your site you can declare it
                          globally and then you won't need to
                          include this option

`:signature` The text of your PayPal signature.

                          If you are only using one API Signature
                          on your site you can declare it
                          globally and then you won't need to
                          include this option

### Public Instance methods

capture(money, authorization, options = {})
credit(money, identification, options = {})
reauthorize(money, authorization, options = {})
test?()
transfer(*args)

Transfer money to one or more recipients.

      gateway.transfer 1000, 'bob@example.com',
        :subject => "The money I owe you", :note => "Sorry it's so late"

      gateway.transfer [1000, 'fred@example.com'],
        [2450, 'wilma@example.com', :note => 'You will receive another payment on 3/24'],
        [2000, 'barney@example.com'],
        :subject => "Your Earnings", :note => "Thanks for your business."

void(authorization, options = {})

[Validate]